Package tigase.xmpp

# Interface XMPPProcessorIfc

All Superinterfaces:
  `Comparable<XMPPImplIfc>`, `XMPPImplIfc`

All Known Implementing Classes:
  `AbstractPushNotifications`, `BindResource`, `BlockingCommand`, `CAPS`, `ClientStateIndication`, `EntityTime`, `ExternalServiceDiscoveryProcessor`, `FlexibleOfflineMessageRetrieval`, `InvisibleCommand`, `JabberIqAuth`, `JabberIqCommand`, `JabberIqIq`, `JabberIqPrivacy`, `JabberIqPrivate`, `JabberIqRegister`, `JabberIqRoster`, `JabberIqStats`, `JabberIqVersion`, `Jingle`, `LastActivity`, `LastActivityAbstract`, `LastActivityMarker`, `Message`, `MessageAll`, `MessageAmp`, `MessageCarbons`, `MessageForwarding`, `MIXProcessor`, `MobileV1`, `MobileV2`, `MobileV3`, `MotdProcessor`, `OfflineMessages`, `PepPlugin`, `PresenceAbstract`, `PresenceOffline`, `PresenceState`, `PresenceSubscription`, `PushNotifications`, `RemoteRosterManagement`, `SaslAuth`, `SaslAuth2`, `SaslAuthAbstract`, `ServerInfo`, `ServiceDiscovery`, `SessionBind`, `SessionManager.DefaultHandlerProc`, `SessionManager.SessionCloseProc`, `SessionManager.SessionOpenProc`, `SimpleForwarder`, `StartTLS`, `StartZLib`, `UrnXmppPing`, `VCard4`, `VCardTemp`, `VCardXMPPProcessorAbstract`, `XMPPProcessorAbstract`

public interface XMPPProcessorIfc extends XMPPImplIfc
Describe interface XMPPProcessorIfc here.
Created: Wed Feb 8 13:47:56 2006

Author:
  Artur Hefczyc

- ## Field Summary

  ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

  `CLIENT_XMLNS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

  `canHandle, concurrentQueuesNo, getComponentInfo, getStatistics, id, init, supDiscoFeatures, supElementNamePaths, supNamespaces, supStreamFeatures, supTypes`

- ## Method Details

  - ### process

    void process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings) throws XMPPException
    Parameters:
      `packet` - packet is which being processed. This parameter may never be null. Even though this is not immutable object it mustn't be altered. None of it's fields or attributes can be changed during processing.
      `session` - user session which keeps all the user session data and also gives an access to the user's repository data. It allows for storing information in a permanent storage or in memory only during the live of the online session. This parameter can be null if there is no online user session at the time of the packet processing.
      `repo` - this is a user data storage which is normally used when the user session (parameter above) is null. This is repository allows for a very restricted access only. It allows for storing some user private data (doesn't allow overwriting existing data) like messages for offline users and it also allows for reading user public data like VCard.
      `results` - this a collection with packets which have been generated as input packet processing results. Regardless a response to a user request is sent or the packet is forwarded to it's destination it is always required that a copy of the input packet is created and stored in the results queue.
      `settings` - this map keeps plugin specific settings loaded from the Tigase server configuration. In most cases it is unused, however if the plugin needs to access an external database that this is a way to pass database connection string to the plugin.
    Throws:
      `XMPPException`